Bug 435693 - Scriplet fails when creating a live image
Scriplet fails when creating a live image
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rarian (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 06:43 EST by Sebastian Vahl
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 16:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-03-03 06:43:41 EST
Description of problem:
When creating a live image the %post scriplet fails with following output:

  Installing: rarian-compat                ##################### [517/785]could
not open /etc/xml/catalog for saving
add command failed
could not open /etc/xml/catalog for saving
add command failed
error: %post(rarian-compat-0.7.1-3.fc9.i386) scriptlet failed, exit status 2



Version-Release number of selected component (if applicable):
rarian-compat-0.7.1-3

How reproducible:
ever

Steps to Reproduce:
1. create a live image with livecd-creator and livecd-fedora-kde.ks
2. watch terminal output
3.
  
Actual results:
scriplet fails during creation of the live image


Expected results:
scriplet should not fail
Comment 1 Matthew Barnes 2008-03-03 07:33:58 EST
I think it's trying to cache the ScrollKeeper DTD locally.  Not sure what to do
about this; we can't just simply remove it (bug #433268).  Maybe failure of
these commands should be non-fatal.

Matthias, any ideas?
Comment 2 Matthew Barnes 2008-03-11 01:01:09 EDT
I added "|| :" to the end of the xmlcatalog commands in rarian-0.8.0-1.fc9.  So
failure to save to /etc/xml/catalog should be non-fatal, I think.

Sebastian, can you try again with the updated package?
Comment 3 Sebastian Vahl 2008-03-11 16:39:59 EDT
(In reply to comment #2)
> Sebastian, can you try again with the updated package?

Package installs fine now (or: without errors). Thanks.

Note You need to log in before you can comment on or make changes to this bug.